> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# List counterparties

> List client's existing counterparties



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic get /counterparties
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /counterparties:
    get:
      tags:
        - Counterparties
      summary: List counterparties
      description: List client's existing counterparties
      operationId: listCounterparties
      parameters:
        - schema:
            $ref: '#/components/schemas/PageSize'
          required: false
          description: The number of items to return per page.
          name: page[size]
          in: query
        - schema:
            $ref: '#/components/schemas/CounterpartyPageAfter'
          required: false
          description: The cursor to start the page after.
          name: page[after]
          in: query
      responses:
        '200':
          description: A page of listed counterparty objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCounterpartiesInternalResponse'
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    PageSize:
      type: string
      pattern: ^[0-9]*$
      default: '50'
      description: The number of items to return per page.
      example: '0'
    CounterpartyPageAfter:
      type: string
      pattern: ^cp_[a-zA-Z0-9]{27}$
      description: The cursor to start the page after.
      example: cp_2ofTA13AD0xBtbEvBl20aEb1hEu
    ListCounterpartiesInternalResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CounterpartyObject'
        links:
          $ref: '#/components/schemas/CounterpartiesCursorPagination'
      required:
        - data
        - links
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    CounterpartyObject:
      oneOf:
        - $ref: '#/components/schemas/IndividualCounterpartyObject'
        - $ref: '#/components/schemas/BusinessCounterpartyObject'
      discriminator:
        propertyName: type
        mapping:
          individual:
            $ref: '#/components/schemas/IndividualCounterpartyObject'
          business:
            $ref: '#/components/schemas/BusinessCounterpartyObject'
    CounterpartiesCursorPagination:
      type: object
      properties:
        first:
          type: string
        next:
          type: string
          nullable: true
        last:
          type: string
          nullable: true
      required:
        - first
        - next
      example:
        first: /counterparties
        next: null
    IndividualCounterpartyObject:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/CounterpartyId'
        type:
          type: string
          enum:
            - individual
        customerId:
          $ref: '#/components/schemas/CustomerId'
        firstName:
          type: string
        middleName:
          type: string
        lastName:
          type: string
        birthDate:
          type: string
        email:
          type: string
        phone:
          type: string
        nationality:
          type: string
          description: ISO 3166-1 alpha-3 country code
          example: USA
        identificationType:
          type: string
          enum:
            - tin
            - nit
            - cc
            - ce
            - passport
            - cpf
            - cnpj
            - rfc
            - curp
            - cuit
            - cuil
        identificationNumber:
          type: string
        address:
          type: object
          properties:
            streetLine1:
              type: string
            streetLine2:
              type: string
            city:
              type: string
            state:
              type: string
            postalCode:
              type: string
            country:
              type: string
              description: ISO 3166-1 alpha-3 country code
              example: USA
        paymentMethods:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/BankPaymentMethod'
              - allOf:
                  - $ref: '#/components/schemas/CryptoPaymentMethod'
                  - allOf:
                      - $ref: '#/components/schemas/CryptoPaymentMethod'
                      - type: object
                        default: null
                        properties:
                          id:
                            $ref: '#/components/schemas/WalletId'
                        required:
                          - id
                        additionalProperties: false
                    example:
                      id: wlt_1234
                      type: wallet
                      rail: ethereum
                      walletAddress: 0X0000000
                      walletLabel: Personal ETH Wallet
            discriminator:
              propertyName: type
              mapping:
                bank:
                  $ref: '#/components/schemas/BankPaymentMethod'
                wallet:
                  $ref: '#/components/schemas/CryptoPaymentMethod'
        documents:
          type: array
          items:
            type: object
            properties:
              documentId:
                $ref: '#/components/schemas/DocumentId'
              documentPurpose:
                type: string
              documentType:
                type: string
              documentName:
                type: string
              uploadedAt:
                type: string
            required:
              - documentId
              - documentPurpose
              - documentType
              - documentName
        status:
          $ref: '#/components/schemas/CounterpartyStatus'
        messages:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - error
                  - info
              message:
                type: string
              code:
                type: string
              field:
                type: string
              details:
                anyOf:
                  - type: string
                  - type: object
                    additionalProperties:
                      nullable: true
            required:
              - type
              - message
              - code
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - type
        - firstName
        - lastName
        - nationality
        - address
        - paymentMethods
        - documents
        - status
        - messages
        - createdAt
        - updatedAt
      example:
        id: '1234'
        type: individual
        firstName: John
        middleName: Snow
        lastName: Smith
        birthDate: '2020-03-15'
        nationality: US
        email: contact@globaltechsolutions.com
        phone: +1-555-123-4567
        identificationType: curp
        identificationNumber: '123'
        address:
          streetLine1: 21 Jump Street
          streetLine2: Unit 708
          city: Boston
          state: MA
          postalCode: '02111'
          country: USA
        paymentMethods:
          - id: '1234'
            type: bank
            rail:
              - ted
              - pix
            bankName: First National Bank
            accountType: checking
            accountOwnerName: Global Tech Solutions
            accountNumber: '123456789'
            routingNumber: '123'
            swiftCode: FNBOUS33
            branchCode: '1234'
            bankCode: '123'
            currency: USD
            address:
              streetLine1: 21 Jump Street
              streetLine2: Unit 708
              city: Boston
              state: MA
              postalCode: '02111'
              country: USA
          - id: bank_1234
            type: wallet
            rail: ethereum
            walletAddress: 0X0000000
            walletLabel: Gus Personal ETH Wallet
          - id: wlt_1234
            type: wallet
            rail: tron
            walletAddress: T0000000
            walletLabel: Gus Personal Tron Wallet
        documents:
          - documentId: doc_1234
            documentPurpose: recurring_payment
            documentType: invoice
            documentName: invoice.png
            uploadedAt: '2023-10-15T09:30:00Z'
        messages: []
        status: active
        createdAt: '2024-01-01T10:00:00Z'
        updatedAt: '2024-02-15T15:45:00Z'
    BusinessCounterpartyObject:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/CounterpartyId'
        type:
          type: string
          enum:
            - business
        businessName:
          type: string
        email:
          type: string
        customerId:
          $ref: '#/components/schemas/CustomerId'
        phone:
          type: string
        website:
          type: string
        identificationType:
          type: string
          enum:
            - tin
            - nit
            - cc
            - ce
            - passport
            - cpf
            - cnpj
            - rfc
            - curp
            - cuit
            - cuil
        identificationNumber:
          type: string
        address:
          type: object
          properties:
            streetLine1:
              type: string
            streetLine2:
              type: string
            city:
              type: string
            state:
              type: string
            postalCode:
              type: string
            country:
              type: string
              description: ISO 3166-1 alpha-3 country code
              example: USA
        paymentMethods:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/BankPaymentMethod'
              - allOf:
                  - $ref: '#/components/schemas/CryptoPaymentMethod'
                  - allOf:
                      - $ref: '#/components/schemas/CryptoPaymentMethod'
                      - type: object
                        default: null
                        properties:
                          id:
                            $ref: '#/components/schemas/WalletId'
                        required:
                          - id
                        additionalProperties: false
                    example:
                      id: wlt_1234
                      type: wallet
                      rail: ethereum
                      walletAddress: 0X0000000
                      walletLabel: Personal ETH Wallet
            discriminator:
              propertyName: type
              mapping:
                bank:
                  $ref: '#/components/schemas/BankPaymentMethod'
                wallet:
                  $ref: '#/components/schemas/CryptoPaymentMethod'
        documents:
          type: array
          items:
            type: object
            properties:
              documentId:
                $ref: '#/components/schemas/DocumentId'
              documentPurpose:
                type: string
              documentType:
                type: string
              documentName:
                type: string
              uploadedAt:
                type: string
            required:
              - documentId
              - documentPurpose
              - documentType
              - documentName
        status:
          $ref: '#/components/schemas/CounterpartyStatus'
        verificationDetails:
          type: object
          properties:
            status:
              type: string
            message:
              type: string
            caseLink:
              type: string
          required:
            - status
        messages:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - error
                  - info
              message:
                type: string
              code:
                type: string
              field:
                type: string
              details:
                anyOf:
                  - type: string
                  - type: object
                    additionalProperties:
                      nullable: true
            required:
              - type
              - message
              - code
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - type
        - businessName
        - website
        - address
        - paymentMethods
        - status
        - messages
        - createdAt
        - updatedAt
      example:
        id: '1234'
        type: business
        businessName: Global Tech Solutions
        email: contact@globaltechsolutions.com
        phone: +1-555-123-4567
        website: www.globaltechsolutions.com
        identificationType: passport
        identificationNumber: '123'
        address:
          streetLine1: 21 Jump Street
          streetLine2: Unit 708
          city: Boston
          state: MA
          postalCode: '02111'
          country: USA
        paymentMethods:
          - id: bank_1234
            type: bank
            rail:
              - ted
              - pix
            bankName: First National Bank
            accountType: checking
            accountOwnerName: Global Tech Solutions
            accountNumber: '123456789'
            routingNumber: '123'
            swiftCode: FNBOUS33
            branchCode: '1234'
            bankCode: '123'
            currency: USD
            address:
              streetLine1: 21 Jump Street
              streetLine2: Unit 708
              city: Boston
              state: MA
              postalCode: '02111'
              country: USA
          - id: wlt_1234
            type: wallet
            rail: ethereum
            walletAddress: 0X0000000
            walletLabel: Gus Personal ETH Wallet
          - id: wlt_1234
            type: wallet
            rail: tron
            walletAddress: T0000000
            walletLabel: Gus Personal Tron Wallet
        documents:
          - documentId: doc_1234
            documentPurpose: recurring_payment
            documentType: invoice
            documentName: invoice.png
            uploadedAt: '2023-10-15T09:30:00Z'
        status: active
        createdAt: '2024-01-01T10:00:00Z'
        updatedAt: '2023-10-15T09:30:00Z'
        verificationDetails:
          status: approved
          message: KYB verification completed
          caseLink: https://kyb.com/case/1234567890
        messages: []
    CounterpartyId:
      type: string
      pattern: ^cp_[a-zA-Z0-9]{27}$
      description: A valid Counterparty ID
      example: cp_2ofTA13AD0xBtbEvBl20aEb1hEu
    CustomerId:
      type: string
      pattern: ^cus_[a-zA-Z0-9]{27}$
      description: A valid Customer ID
      example: cus_2ofTA13AD0xBtbEvBl20aEb1hEu
    BankPaymentMethod:
      allOf:
        - $ref: '#/components/schemas/CreateBankPaymentMethod'
        - type: object
          default: null
          properties:
            id:
              $ref: '#/components/schemas/BankAccountId'
          required:
            - id
          additionalProperties: false
      example:
        id: bank_1234
        type: bank
        rail:
          - fedwire
        bankName: Bank of America
        accountOwnerName: John Doe
        accountNumber: '1234567890'
        currency: USD
        routingNumber: '1234567890'
        sortCode: 12-34-56
        address:
          streetLine1: 123 Main St
          city: New York
          state: NY
          postalCode: '10001'
          country: USA
    CryptoPaymentMethod:
      type: object
      properties:
        type:
          type: string
          enum:
            - wallet
        rail:
          $ref: '#/components/schemas/NetworkName'
        walletAddress:
          type: string
        walletLabel:
          type: string
      required:
        - type
        - rail
        - walletAddress
        - walletLabel
      additionalProperties: false
      example:
        type: wallet
        rail: ethereum
        walletAddress: 0X0000000
        walletLabel: Personal ETH Wallet
    WalletId:
      type: string
      pattern: ^wlt_[a-zA-Z0-9]{27}$
      description: A valid Wallet ID
      example: wlt_2ofTAESrTs4uQ8N3yGBMhGj59jV
    DocumentId:
      type: string
      pattern: ^doc_[a-zA-Z0-9]{27}$
      description: A valid Document ID
      example: doc_2ofTAESrTs4uQ8N3yGBMhGj59jV
    CounterpartyStatus:
      type: string
      enum:
        - active
        - compliance_rejected
        - in_compliance_review
        - deleted
    CreateBankPaymentMethod:
      type: object
      properties:
        type:
          type: string
          enum:
            - bank
        rail:
          type: array
          items:
            type: string
            enum:
              - ach_colombia
              - ach
              - pix
              - swift
              - fedwire
              - ted
              - spei
              - sepa
              - pse
              - rtgs
              - ars_bank_transfer
              - fps
              - chaps
              - fast
              - international_wire
              - bank_transfer
          maxItems: 1
        bankName:
          type: string
        accountOwnerName:
          type: string
          description: >-
            DEPRECATED: This field is ignored for counterparties. The
            counterparty name is automatically used instead.
          deprecated: true
        accountType:
          type: string
          enum:
            - savings
            - checking
            - electronic_deposit
        accountNumber:
          type: string
        iban:
          type: string
        pixKey:
          type: string
        routingNumber:
          type: string
        swiftCode:
          type: string
        branchCode:
          type: string
        bankCode:
          type: string
        sortCode:
          type: string
        currency:
          type: string
          enum:
            - USD
            - MXN
            - BRL
            - COP
            - EUR
            - NGN
            - ARS
            - GBP
            - AED
            - SGD
            - HKD
          description: The asset identifier. A fiat currency code.
        address:
          type: object
          properties:
            streetLine1:
              type: string
            streetLine2:
              type: string
            city:
              type: string
            state:
              type: string
            postalCode:
              type: string
            country:
              type: string
              description: ISO 3166-1 alpha-3 country code
              example: USA
          required:
            - country
      required:
        - type
        - rail
        - bankName
        - currency
        - address
      additionalProperties: false
      example:
        type: bank
        rail:
          - fedwire
        bankName: Bank of America
        accountOwnerName: John Doe
        accountNumber: '1234567890'
        currency: USD
        routingNumber: '1234567890'
        address:
          streetLine1: 123 Main St
          city: New York
          state: NY
          postalCode: '10001'
          country: USA
    BankAccountId:
      type: string
      pattern: ^bank_[a-zA-Z0-9]{27}$
      description: A valid Bank Account ID
      example: bank_2ofTA5mz0T91pBmD3tMTeLE7T4X
    NetworkName:
      type: string
      enum:
        - ethereum
        - tron
        - solana
        - polygon
        - base
        - xrpl
      description: >-
        The stablecoin asset network identifier. Required for stablecoins;
        omitted for fiat.
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````